Bug 1486941 - gnome-software background service allocated a huge amount of memory, crashed system
Summary: gnome-software background service allocated a huge amount of memory, crashed ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 26
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-30 20:52 UTC by AsciiWolf
Modified: 2018-05-29 12:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:24:00 UTC
Type: Bug


Attachments (Terms of Use)
gnome-software gapplication-service threads with 9.6G allocated memory (331.50 KB, image/jpeg)
2017-08-30 20:52 UTC, AsciiWolf
no flags Details
journalctl --user --since=today | grep gnome-software (972.38 KB, text/plain)
2017-10-18 06:28 UTC, Botond Dénes
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 791033 0 Normal RESOLVED gnome-software background service allocated a huge amount of memory, crashed system 2020-11-18 05:28:58 UTC

Description AsciiWolf 2017-08-30 20:52:30 UTC
Created attachment 1320297 [details]
gnome-software gapplication-service threads with 9.6G allocated memory

Description of problem:
After running dnf uninstall, my system suddenly became very slow and after a few seconds completely frozen. After a few minutes, I managed to switch to tty3, log in, run htop and see what caused the issue. See the attached screenshot.

Version-Release number of selected component (if applicable):
gnome-software-3.24.3-1.fc26

How reproducible:
Hard.

Steps to Reproduce:
1. Run dnf install/uninstall/upgrade/etc.

Additional info:
This happened to me twice. First time it was during dnf install and resulted in broken rpm db that could not be fixed without an OS reinstall. Second time was now, after dnf uninstall. Fortunately, this time it happened after the dnf operation was done. Unfortunately, I was not able to get any relevant logs.

Comment 1 AsciiWolf 2017-09-16 10:58:44 UTC
It happened to me again, few seconds after uninstalling an application (HandBrake) using GNOME Software. Fortunately, rpm db survived. What is weird is that "gjs" started crashing after this happened and keeps crashing after a reboot, when I try to type something in the GNOME Activities Overview. I had the exact same issue with gjs last month, but some update fixed it, now it's happening again.

Comment 2 Botond Dénes 2017-10-18 06:28:31 UTC
Created attachment 1340004 [details]
journalctl --user --since=today | grep gnome-software

Comment 3 Botond Dénes 2017-10-18 06:30:11 UTC
It happened to me too. gnome-software-service was consuming 57GB and rapidly acquiring more (about 0.5GB/s) until an OOM crash. I didn't do any dnf operations in the last 12 hours. See logs attached above.

Comment 4 Fedora End Of Life 2018-05-03 08:04:13 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2018-05-29 12:24:00 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.